std::gslice_array< _Tp > Class Template Reference
Numerics » Numeric Arrays

## Public Types

typedef _Tp | value_type

## Public Member Functions

| gslice_array (const gslice_array &)
void | operator &= (const valarray< _Tp > &) const
template<class _Dom >
void | operator &= (const _Expr< _Dom, _Tp > &) const
void | operator%= (const valarray< _Tp > &) const
template<class _Dom >
void | operator%= (const _Expr< _Dom, _Tp > &) const
void | operator*= (const valarray< _Tp > &) const
template<class _Dom >
void | operator*= (const _Expr< _Dom, _Tp > &) const
void | operator+= (const valarray< _Tp > &) const
template<class _Dom >
void | operator+= (const _Expr< _Dom, _Tp > &) const
void | operator-= (const valarray< _Tp > &) const
template<class _Dom >
void | operator-= (const _Expr< _Dom, _Tp > &) const
void | operator/= (const valarray< _Tp > &) const
template<class _Dom >
void | operator/= (const _Expr< _Dom, _Tp > &) const
void | operator<<= (const valarray< _Tp > &) const
template<class _Dom >
void | operator<<= (const _Expr< _Dom, _Tp > &) const
gslice_array & | operator= (const gslice_array &)
void | operator= (const valarray< _Tp > &) const
void | operator= (const _Tp &) const
template<class _Dom >
void | operator= (const _Expr< _Dom, _Tp > &) const
void | operator>>= (const valarray< _Tp > &) const
template<class _Dom >
void | operator>>= (const _Expr< _Dom, _Tp > &) const
void | operator^= (const valarray< _Tp > &) const
template<class _Dom >
void | operator^= (const _Expr< _Dom, _Tp > &) const
void | operator|= (const valarray< _Tp > &) const
template<class _Dom >
void | operator|= (const _Expr< _Dom, _Tp > &) const

## Friends

class | valarray< _Tp >

## Detailed Description

### template<typename _Tp>
class std::gslice_array< _Tp >

Reference to multi-dimensional subset of an array.

A gslice_array is a reference to the actual elements of an array specified by a gslice. The way to get a gslice_array is to call operator[](gslice) on a valarray. The returned gslice_array then permits carrying operations out on the referenced subset of elements in the original valarray. For example, operator+=(valarray) will add values to the subset of elements in the underlying valarray this gslice_array refers to.

Parameters

  Tp | Element type.

Definition at line 82 of file valarray.

The documentation for this class was generated from the following files:

- valarray
- gslice_array.h